summaryrefslogtreecommitdiff
path: root/t/parallel-tests-concatenated-suffix.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 15:57:28 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 16:28:16 +0200
commit7721f22a2c0f5b286d04427d011351602341de02 (patch)
treeb55f3e46fa9d8ef16856034337317f6b40e34d20 /t/parallel-tests-concatenated-suffix.sh
parent8eda774e3d2311513a35c49d7cad5e05c5fd9e03 (diff)
parentb21d68690612214d8edd810acf11880c3c0ad586 (diff)
downloadautomake-7721f22a2c0f5b286d04427d011351602341de02.tar.gz
Merge branch 'master' into ng/master
* master: cosmetics: remove trailing whitespace in some files coverage: enhance tests in 'missing' script a little coverage: tests AM_MISSING_PROG usage docs: document AM_MISSING_PROG tests: fix a spurious failure with Solaris make tests: simpler workaround for shells losing the exit status in exit trap tests: avoid several spurious failures on Solaris tests: avoid a spurious failure on NetBSD + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/parallel-tests-concatenated-suffix.sh')
-rwxr-xr-xt/parallel-tests-concatenated-suffix.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/parallel-tests-concatenated-suffix.sh b/t/parallel-tests-concatenated-suffix.sh
index 11e3f0222..0c87cfa10 100755
--- a/t/parallel-tests-concatenated-suffix.sh
+++ b/t/parallel-tests-concatenated-suffix.sh
@@ -17,7 +17,7 @@
# The parallel-tests driver should be able to cope with test scripts
# whose names end with several concatenated suffixes.
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_OUTPUT
@@ -48,7 +48,7 @@ for j in '' -j4; do
# since Solaris 10 /bin/sh would try to optimize a ':' away after the
# first iteration, even if it is redirected.
echo " " >stdout
- $MAKE $j check >>stdout || { cat stdout; Exit 1; }
+ $MAKE $j check >>stdout || { cat stdout; exit 1; }
cat stdout
count_test_results total=7 pass=7 fail=0 skip=0 xfail=0 xpass=0 error=0
for t in $tests; do grep "^PASS: $t *$" stdout; done